#!/bin/bash

_kaiming() {
  local pre cur opts
  COMPREPLY=()
  pre="${COMP_WORDS[COMP_CWORD-1]}"
  cur="${COMP_WORDS[COMP_CWORD]}"

  #if [[ ${cur} == .* ]]; then
    case "${pre}" in
      "kaiming")
	      opts="install repair uninstall update list info enter export run ps enter kill build build-init build-finish build-export  --help"
        ;;
      "install")
        opts="--help --sideload= "
        ;;
      "repair")
        opts="$(ls /opt/kaiming/app) --help --sideload= "
        ;;
      "update")
        opts="$(ls /opt/kaiming/app) "
        ;;
      "info")
        opts="$(ls /opt/kaiming/app) --help --remote=kaiming-repo "
        ;;
      "run")
        opts="$(ls /opt/kaiming/app)"
        ;;
      "uninstall")
        opts="$(ls /opt/kaiming/app)"
        ;;
      "info")
	      opts="$(ls /opt/kaiming/app /opt/kaiming/runtime)"
        ;;
      "export")
	      opts="$(ls /opt/kaiming/app)"
        ;;
      *)
        opts=""
        ;;
    esac
    COMPREPLY=( $(compgen -W "${opts}" -- ${cur}) )
    return 0
  #fi
}

complete -F _kaiming kaiming


